<?php


$handle = opendir('.'); 

// List Directories  and Files
  $i=0;
  $j=0;
  while (false !== ($file = readdir($handle))) {
        
  if ($file != "." && $file != ".." ) { 

    if (is_dir($file)) {
//      echo "<a href=\"$file\">Directory $file<a><br />\n";
      $i=$i+1;
      $list_dir[$i] = $file;
      }

    if (is_file($file)) {
//      echo "<a href=\"$file\">File $file<a><br />\n";
      $j=$j+1;
      $list_file[$j] = $file;
      }


    }
   }

closedir($handle);

$nlist_dir  = count($list_dir);
$nlist_file = count($list_file);

sort($list_dir);
sort($list_file);

for ($i=0; $i< $nlist_dir; $i++) {
echo "<a href=\"$list_dir[$i]\">$list_dir[$i]<br />";   
} 

for ($i=0; $i< $nlist_file; $i++) {

if (eregi('png', $list_file[$i]) or  eregi('pdf', $list_file[$i]))  {
echo  "<a href=\"$list_file[$i]\">$list_file[$i]<br />"; 
 
} 
}



?> 
